Skip to main content

suix_getDynamicFieldObject

POST

Return the dynamic field object information for a specified object
param[0]
parentObjectIdstringrequired
The ID of the queried parent object
param[1]
nameobjectrequired
The Name of the dynamic field
typestringrequired
valuebooleanrequired
Responses
jsonrpcstring
idinteger
The response from the dynamic field object query
bcsoneOf
Move object content or package content in BCS, default to be None unless SuiObjectDataOptions.showBcs is set to true
bcsBytesstringrequired
Base64 encoding
dataTypestringrequired
hasPublicTransferbooleanrequired
typestringrequired
versionstringrequired
contentoneOf
Move object content or package content, default to be None unless SuiObjectDataOptions.showContent is set to true
dataTypestringrequired
fieldsstringrequired
hasPublicTransferbooleanrequired
typestringrequired
digestobjectrequired
The Display metadata for frontend UI rendering, default to be None unless SuiObjectDataOptions.showContent is set to true This can also be None if the struct type does not have Display defined See more details in <https://forums.sui.io/t/nft-object-display-proposal/4872>
dataobject
erroroneOf
codestringrequired
object_idobjectrequired
objectIdobjectrequired
owneroneOf
The owner of this object. Default to be None unless SuiObjectDataOptions.showOwner is set to true
Object is exclusively owned by a single address, and is mutable.
AddressOwnerobjectrequired
previousTransactionobject
storageRebatestring
The amount of SUI we would rebate if this object gets deleted. This number is re-calculated each time the object is mutated based on the present storage gas price.
typestring
The type of the object. Default to be None unless SuiObjectDataOptions.showType is set to true
versionobjectrequired
erroroneOf
codestringrequired
object_idobjectrequired
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_getDynamicFieldObject",
"params": [
"0x3ddea0f8c3da994d9ead562ce76e36fdef6a382da344930c73d1298b0e9644b8",
{
"type": "0x0000000000000000000000000000000000000000000000000000000000000009::test::TestField",
"value": "some_value"
}
]
}'